=== debian/changelog ===
pandoc (1.16.0.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix regression in latex smart quote parsing.
      Closes: Bug#810981. Thanks to Paul Menzel.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Suggest wkhtmltopdf, and document its use in long description.
    + Relax GHC upper bounds for http.
    + Tighten GHC lower bounds for texmath highlighting-kate.
    + Shift GHC bounds for pandoc-types cmark.
    + Stop GHC for deepseq-generics.
  * Sync long description with upstream description.
  * Exclude in repackaged upstream tarball yet another docx file lacking
    license.
  * Drop upstream cherry-picked patch now applied.
  * Unfuzz patches.
  * Fix (re)install man page.
    Closes: Bug#797469. Thanks to Alexander Kurtz and others.
  * Stop provide symlink for command hsmarkdown: No longer supported
    upstream.
  * Mark pandoc Multi-Arch:foreign, to ease bootstrapping new archs.
    Closes: bug#787894. Thanks to Johannes Schauer.
  * Fix tighten pandoc dependency on pandoc-data.
    Closes: bug#800935. Thanks to Oleksandr Gavenko.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Feb 2016 16:02:48 +0100

pandoc (1.15.1.1~dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Clint Adams <clint@debian.org>  Sun, 06 Dec 2015 18:24:16 -0500

pandoc (1.15.1.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax GHC upper bounds for aeson http-types syb hunit.
  * Update long descriptions:
    + Add new readers Word Docx and ODT. Capitalize Markdown format.
  * Update copyright info:
    + Add new copyright holder.
  * Add TODO item about including new bash-completion.
  * Fix lintian overrides.
  * Add lintian override regarding debhelper 9.
  * Add lintian override about missing execute bit: False positive (it
    is a template).
  * export LANG=C.UTF-8 to fix exception thrown building documentation.
  * Add patch cherry-picked upstream to fix crash building documentation
    in non-UTF8 locale.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2015 12:20:01 +0100

pandoc (1.15.0.6~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Exclude from repackaged upstream tarball yet another docx file
      lacking license.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for main upstream authors.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Update package relations:
    + Tighten GHC versioning for texmath highlighting-kate.
    + Relax GHC versioning for zlib quickcheck2 aeson hslua syb.
    + Add GHC relations for css-text filemanip cmark.
    + Drop GHC relations for css-text.
    + Fix add GHC relations for vector.
    + Relax GHC upper bounds for haddock-library cmark.
  * Update Homepage.
  * Unfuzz patches.
  * Stop install man pages: Handled by upstream build now.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Aug 2015 15:51:19 +0200
