=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
 , Kiwamu Okabe <kiwamu@debian.or.jp>
 , Clint Adams <clint@debian.org>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 libimage-exiftool-perl,
 libregexp-assemble-perl,
 libipc-system-simple-perl,
 lcdf-typetools,
 ghc,
 alex,
 happy,
 libghc-unordered-containers-dev (<< 3),
 libghc-parsec3-dev (<< 3.2),
 libghc-mtl-dev (<< 2.3),
 libghc-network-dev (>= 2.6),
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-dev (<< 2.7),
 libghc-text-dev (<< 1.3),
 libghc-zip-archive-dev (>= 0.2.3.4),
 libghc-zip-archive-dev (<< 0.3),
 libghc-http-dev (<< 1:4000.4),
 libghc-texmath-dev (>= 0.8.4.1),
 libghc-texmath-dev (<< 0.9),
 libghc-xml-dev (<< 1.4),
 libghc-random-dev (<<1.2 ),
 libghc-extensible-exceptions-dev (<< 0.2),
 libghc-pandoc-types-dev (>= 1.16),
 libghc-pandoc-types-dev (<< 1.17),
 libghc-aeson-dev (>= 0.7.0.5),
 libghc-aeson-dev (<< 0.11),
 libghc-tagsoup-dev (>= 0.13.1),
 libghc-tagsoup-dev (<< 0.14),
 libghc-base64-bytestring-dev (<< 1.1),
 libghc-zlib-dev (<< 0.7),
 libghc-highlighting-kate-dev (>= 0.6.1),
 libghc-highlighting-kate-dev (<< 0.7),
 libghc-data-default-dev (<< 0.6),
 libghc-temporary-dev (<< 1.3),
 libghc-blaze-html-dev (>= 0.5),
 libghc-blaze-html-dev (<< 0.9),
 libghc-blaze-markup-dev (<< 0.8),
 libghc-yaml-dev (>= 0.8.8.2),
 libghc-yaml-dev (<< 0.9),
 libghc-scientific-dev (<< 0.4),
 libghc-vector-dev (>= 0.10),
 libghc-vector-dev (<< 0.12),
 libghc-hslua-dev (<< 0.5),
 libghc-sha-dev (>= 1.6),
 libghc-sha-dev (<< 1.7),
 libghc-haddock-library-dev (<< 1.3),
 libghc-juicypixels-dev (<< 3.3),
 libghc-filemanip-dev (<< 0.4),
 libghc-cmark-dev (>= 0.5),
 libghc-cmark-dev (<< 0.6),
 libghc-http-client-dev (<< 0.5),
 libghc-http-client-tls-dev (<< 0.3),
 libghc-http-types-dev (>= 0.8),
 libghc-http-types-dev (<< 0.10),
 libghc-syb-dev (<< 0.7),
 ghc-prof,
 libghc-unordered-containers-prof,
 libghc-parsec3-prof,
 libghc-mtl-prof,
 libghc-network-prof,
 libghc-network-uri-prof,
 libghc-text-prof,
 libghc-zip-archive-prof,
 libghc-http-prof,
 libghc-texmath-prof,
 libghc-xml-prof,
 libghc-random-prof,
 libghc-extensible-exceptions-prof,
 libghc-pandoc-types-prof,
 libghc-aeson-prof,
 libghc-tagsoup-prof,
 libghc-base64-bytestring-prof,
 libghc-zlib-prof,
 libghc-highlighting-kate-prof,
 libghc-data-default-prof,
 libghc-temporary-prof,
 libghc-blaze-html-prof,
 libghc-blaze-markup-prof,
 libghc-yaml-prof,
 libghc-scientific-prof,
 libghc-vector-prof,
 libghc-hslua-prof,
 libghc-sha-prof,
 libghc-haddock-library-prof,
 libghc-juicypixels-prof,
 libghc-filemanip-prof,
 libghc-cmark-prof,
 libghc-http-client-prof,
 libghc-http-client-tls-prof,
 libghc-http-types-prof,
 libghc-syb-prof,
 haskell-devscripts (>= 0.8.19~)
Build-Depends-Indep: ghc-doc
  , libghc-unordered-containers-doc
  , libghc-parsec3-doc
  , libghc-mtl-doc
  , libghc-network-doc
  , libghc-network-uri-doc
  , libghc-text-doc
  , libghc-zip-archive-doc
  , libghc-http-doc
  , libghc-texmath-doc
  , libghc-xml-doc
  , libghc-random-doc
  , libghc-extensible-exceptions-doc
  , libghc-pandoc-types-doc
  , libghc-aeson-doc
  , libghc-tagsoup-doc
  , libghc-base64-bytestring-doc
  , libghc-zlib-doc
  , libghc-highlighting-kate-doc
  , libghc-data-default-doc
  , libghc-temporary-doc
  , libghc-blaze-html-doc
  , libghc-blaze-markup-doc
  , libghc-yaml-doc
  , libghc-scientific-doc
  , libghc-vector-doc
  , libghc-hslua-doc
  , libghc-sha-doc
  , libghc-haddock-library-doc
  , libghc-deepseq-generics-doc
  , libghc-juicypixels-doc
  , libghc-filemanip-doc
  , libghc-cmark-doc
  , libghc-http-client-doc
  , libghc-http-client-tls-doc
  , libghc-http-types-doc
  , libghc-text-doc
  , libghc-syb-doc
  , libghc-blaze-builder-doc
  , libghc-digest-doc
  , libghc-dlist-doc
  , libghc-hs-bibutils-doc
  , libghc-pcre-light-doc
  , libghc-transformers-doc
  , libghc-utf8-string-doc
Standards-Version: 3.9.6
Homepage: http://pandoc.org/
Vcs-Git: git://anonscm.debian.org/pkg-haskell/pandoc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/pandoc.git

Package: pandoc
Architecture: any
Depends: ${cdbs:Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Multi-Arch: foreign
Description: general markup converter
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the pandoc tool.
 .
 PDF output via PDFLaTeX requires the package texlive-latex-recommended.
  * XeLaTeX additionally requires texlive-xetex
  * LuaTeX additionally requires texlive-luatex
  * content with YAML metadata additionally requires etoolbox
 .
 PDF output via wkhtmltopdf requires the package wkhtmltopdf.

Package: pandoc-data
Architecture: all
Depends: ${cdbs:Depends}
 , ${misc:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: general markup converter - data files
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the data files for pandoc.

Package: libghc-pandoc-dev
Section: haskell
Priority: extra
Architecture: any
Depends: ${cdbs:Depends}
 , ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - libraries
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-pandoc-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: general markup converter - library documentation
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.

Package: libghc-pandoc-prof
Section: haskell
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Suggests: ${cdbs:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - profiling libraries
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the profiling libraries for Pandoc.
