=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg.*// \
https://hackage.haskell.org/package/pandoc/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
