## pandoc 1.17.2~dfsg

=== debian/changelog ===
pandoc (1.17.2~dfsg-3) unstable; urgency=medium

  * Reduce compile-time memory utilization on mips and mipsel.

 -- Clint Adams <clint@debian.org>  Fri, 11 Nov 2016 22:46:37 -0500

pandoc (1.17.2~dfsg-2) unstable; urgency=medium

  * Temporarily build-depend on ghc 8 and haskell-devscripts 0.13.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 20:55:47 -0400

pandoc (1.17.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix links with no explicit link text.
      Closes: Bug#828167.

  [ Jonas Smedegaard ]
  * Update long descriptions to (almost) sync with upstream cabal file:
    + Mention new writer for ZimWiki.
    + Mention reader for TWiki markup.
    + Mention explicitly each of readers XHTML and HTML 5.
  * Update package relations:
    + Relax GHC upper bounds for tagsoup http-client http-client-tls
      quickcheck2.
    + Tighten GHC lower bounds for texmath.
  * Add patch 2002 to revert recent seemingly unneeded build-dependency
    tightening for http-client and http-client-tls.
  * Unfuzz patches.
  * Modernize CDBS: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Aug 2016 12:49:00 +0200

pandoc (1.17.1~dfsg-2) unstable; urgency=medium

  [ Sean Whitton ]
  * Update package relations:
    Suggest texlive-latex-extra (not now transitional etoolbox).
    Closes: #833992. Thanks to Adrian Bunk.

  [ Jonas Smedegaard ]
  * Tidy long description.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Aug 2016 17:15:25 +0200

pandoc (1.17.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Avoid @ANY_VERSION@ (seemingly broken since devscripts 2.16.5).
  * Update package relations:
    + Relax GHC upper bounds for data-default haddock-library.
    + Tighten GHC lower bounds for texmath highlighting-kate.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jun 2016 22:34:34 +0200

pandoc (1.17.0.3~dfsg-2) unstable; urgency=medium

  * Fix pandoc dependency on pandoc-doc.
    Closes: Bug#826537. Thanks to Simon McVittie.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jun 2016 20:36:14 +0200

pandoc (1.17.0.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Add usage comment.
    + Bump to version 4.
    + Add repacksuffix option.
    + Use substitution variables.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update copyright info:
    + Extend coverage for upstream authors to include current year.
    + Extend coverage of packaging to include current year.
  * Update long descriptions to mention new writer TEI Simple.
  * Declare compliance with Debian Policy 3.9.8.
  * Use https protocol in Vcs-Git URL.
  * Modernize git-buildpackage config:
    + Drop git- prefix.
    + Ignore anything .git*.
  * Unfuzz patches.
  * Modernize copyright-check.
  * Update package relations:
    + Relax GHC upper bounds for zip-archive aeson.
    + Tighten GHC lower bounds for tagsoup.
    + Tighten to build-depend versioned on cdbs: Needed for improved
      copyright-check.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jun 2016 16:21:34 +0200
