=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>
  , Kiwamu Okabe <kiwamu@debian.or.jp>
  , Clint Adams <clint@debian.org>
-Build-Depends: cdbs,
- devscripts,
+Build-Depends: cdbs (>= 0.4.131~),
+ licensecheck,
+ libregexp-assemble-perl,
+ libimage-exiftool-perl,
+ libfont-ttf-perl,
  debhelper,
  dh-buildinfo,
- libimage-exiftool-perl,
- libregexp-assemble-perl,
- libipc-system-simple-perl,
- lcdf-typetools,
  ghc,
  alex,
  happy,
@@ -24,9 +23,9 @@
  libghc-network-uri-dev (<< 2.7),
  libghc-text-dev (<< 1.3),
  libghc-zip-archive-dev (>= 0.2.3.4),
- libghc-zip-archive-dev (<< 0.3),
+ libghc-zip-archive-dev (<< 0.4),
  libghc-http-dev (<< 1:4000.4),
- libghc-texmath-dev (>= 0.8.4.1),
+ libghc-texmath-dev (>= 0.8.6.4),
  libghc-texmath-dev (<< 0.9),
  libghc-xml-dev (<< 1.4),
  libghc-random-dev (<<1.2 ),
@@ -34,14 +33,14 @@
  libghc-pandoc-types-dev (>= 1.16),
  libghc-pandoc-types-dev (<< 1.17),
  libghc-aeson-dev (>= 0.7.0.5),
- libghc-aeson-dev (<< 0.11),
- libghc-tagsoup-dev (>= 0.13.1),
- libghc-tagsoup-dev (<< 0.14),
+ libghc-aeson-dev (<< 0.12),
+ libghc-tagsoup-dev (>= 0.13.7),
+ libghc-tagsoup-dev (<< 0.15),
  libghc-base64-bytestring-dev (<< 1.1),
  libghc-zlib-dev (<< 0.7),
- libghc-highlighting-kate-dev (>= 0.6.1),
+ libghc-highlighting-kate-dev (>= 0.6.2),
  libghc-highlighting-kate-dev (<< 0.7),
- libghc-data-default-dev (<< 0.6),
+ libghc-data-default-dev (<< 0.8),
  libghc-temporary-dev (<< 1.3),
  libghc-blaze-html-dev (>= 0.5),
  libghc-blaze-html-dev (<< 0.9),
@@ -54,13 +53,13 @@
  libghc-hslua-dev (<< 0.5),
  libghc-sha-dev (>= 1.6),
  libghc-sha-dev (<< 1.7),
- libghc-haddock-library-dev (<< 1.3),
+ libghc-haddock-library-dev (<< 1.5),
  libghc-juicypixels-dev (<< 3.3),
  libghc-filemanip-dev (<< 0.4),
  libghc-cmark-dev (>= 0.5),
  libghc-cmark-dev (<< 0.6),
- libghc-http-client-dev (<< 0.5),
- libghc-http-client-tls-dev (<< 0.3),
+ libghc-http-client-dev (<< 0.6),
+ libghc-http-client-tls-dev (<< 0.4),
  libghc-http-types-dev (>= 0.8),
  libghc-http-types-dev (<< 0.10),
  libghc-syb-dev (<< 0.7),
@@ -146,9 +145,9 @@
   , libghc-pcre-light-doc
   , libghc-transformers-doc
   , libghc-utf8-string-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pandoc.org/
-Vcs-Git: git://anonscm.debian.org/pkg-haskell/pandoc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/pandoc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/pandoc.git
 
 Package: pandoc
@@ -156,6 +155,8 @@
 Depends: ${cdbs:Depends}
  , ${misc:Depends}
  , ${shlibs:Depends}
+ , pandoc-data (>= ${source:Version})
+ , pandoc-data (<< ${source:Version}.~)
 Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
 Multi-Arch: foreign
@@ -164,14 +165,15 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -189,7 +191,8 @@
  PDF output via PDFLaTeX requires the package texlive-latex-recommended.
   * XeLaTeX additionally requires texlive-xetex
   * LuaTeX additionally requires texlive-luatex
-  * content with YAML metadata additionally requires etoolbox
+  * content with YAML metadata additionally requires
+    texlive-latex-extra.
  .
  PDF output via wkhtmltopdf requires the package wkhtmltopdf.
 
@@ -204,14 +207,15 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -243,14 +247,15 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -278,14 +283,15 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -314,24 +320,22 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
- and several kinds of HTML/javascript slide shows
- (S5, Slidy, Slideous, DZSlides, reveal.js).
- .
- In contrast to most existing tools for converting Markdown to HTML,
- pandoc has a modular design:
- it consists of a set of readers, which parse text in a given format
- and produce a native representation of the document,
- and a set of writers,
- which convert this native representation into a target format.
- Thus,
- adding an input or output format requires only adding a reader or writer.
- .
- This package contains the profiling libraries for Pandoc.
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
+ and several kinds of HTML/javascript slide shows
+ (S5, Slidy, Slideous, DZSlides, reveal.js).
+ .
+ In contrast to most existing tools for converting Markdown to HTML,
+ pandoc has a modular design:
+ it consists of a set of readers, which parse text in a given format
+ and produce a native representation of the document,
+ and a set of writers,
+ which convert this native representation into a target format.
+ Thus,
