=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg.*//,repacksuffix=~dfsg" \
 https://hackage.haskell.org/package/@PACKAGE@/distro-monitor \
 .*-(\d[\d\.]+)@ARCHIVE_EXT@
